ultimix

- Main Page
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
yandex_markup_1_0_0 Class Reference

## Public Member Functions
| __construct ()
| process_regions ($Str, $Changed)
| process_string ($Options, $Str, &$Changed)

## Data Fields
| $CachedMultyFS = false
| $Dialogs = array()

## Detailed Description

Class loads jquery macroes.

Author
  Dodonov A.A.

Definition at line 26 of file yandex_markup.php.

## Constructor & Destructor Documentation

__construct | ( |  | ) |

Constructor.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 66 of file yandex_markup.php.

{
try
{
$this->CachedMultyFS = get_package( 'cached_multy_fs' , 'last' , __FILE__ );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Member Function Documentation

process_regions | ( |  | $Str,
|  |  | $Changed
| ) |  |

Function processes macro 'add_iframe_tab'.

Parameters

  $Str | - Processing string.
  $Changed | - Was the processing completed.

Returns
  array( $Str , $Changed ).

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 103 of file yandex_markup.php.

{
try
{
if( strpos( $Str , '{regions}' ) !== false )
{
$Str = str_replace(
'{regions}' , $this->CachedMultyFS->get_template( __FILE__ , 'regions.tpl' ) , $Str
);
$Changed = true;
}
return( array( $Str , $Changed ) );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

process_string | ( |  | $Options,
|  |  | $Str,
|  | & | $Changed
| ) |  |

Function processes string.

Parameters

  $Options | - Options of drawing.
  $Str | - Processing string.
  $Changed | - Was the processing completed.

Returns
  HTML code to display.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 153 of file yandex_markup.php.

{
try
{
list( $Str , $Changed ) = $this->process_regions( $Str , $Changed );
return( $Str );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Field Documentation

$CachedMultyFS = false

Cached packages.

Author
  Dodonov A.A.

Definition at line 38 of file yandex_markup.php.

$Dialogs = array()

Cached info about created packages.

Author
  Dodonov A.A.

Definition at line 50 of file yandex_markup.php.

The documentation for this class was generated from the following file:

- packages/xml/packages/yandex_xml/packages/yandex_markup/yandex_markup.php